<template>
  <a href="/">
    <q-img :alt="orgName" fit="contain" :src="logoUrl" class="logo on-left" :width="w">
      <q-tooltip :delay="500" :offset="[0, 10]">{{ orgName ? orgName : $t('yourLogo') }}</q-tooltip>
    </q-img></a>
</template>

<script>
export default
{
  name: 'Logo',
  props:
  {
    logoUrl:
    {
      type: String,
      required: true
    },
    orgName:
    {
      type: String,
      default: ''
    },
    width:
    {
      type: String,
      default: '230px'
    }
  },
  computed:
  {
    w()
    {
      return this.width;
    }
  }
};
</script>

<style>
  .logo
  {
    max-height: 120px;
    vertical-align: middle;
  }

  .q-toolbar .logo
  {
    max-height: 50px;
  }
</style>
